0

I'm trying to install plantuml-mode based on the instructions here:

https://github.com/skuro/plantuml-mode

I'm told to try the following:

M-x package-install<RET>
plantuml-mode<RET>

But the package isn't found:

Contacting host: elpa.gnu.org:80
Failed to download ‘gnu’ archive.

However, it is listed here on MELPA:

https://melpa.org/#/plantuml-mode

I don't have much experience installing things in Emacs. Is there some fool-proof way to get this installed on my mac, possibly with a 'recipe'?

I do have plantuml installed.

  • The error you are getting has nothing to do with MELPA or plantuml-mode: it has to do with ELPA and the gnu archive. Have you tried eliminating that from package-archives? – NickD Jan 26 '18 at 21:08
0

Sometimes the secure https connection doesn't work. Restart emacs and launch with

emacs --insecure

  • I doubt that's a good idea. Would you do that in your browser? – NickD Jan 26 '18 at 21:08
0

Just in case anyone faces the same problem, my problem was resolved after

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.